package com.gyee.frame.model.auto;

import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 *  Gyeeuserinformation 
 * @author gyee_自动生成
 * @email 1@qq.com
 * @date 2020-04-16 15:54:30
 */
 @ApiModel(value="Gyeeuserinformation", description="")
public class Gyeeuserinformation implements Serializable {

	private static final long serialVersionUID = 1L;
	
		
	/**  **/
	@ApiModelProperty(value = "") 
private String id;
		
	/**  **/
	@ApiModelProperty(value = "") 
private String icon;
		
	/**  **/
	@ApiModelProperty(value = "") 
private String phonenum;
		
	/**  **/
	@ApiModelProperty(value = "") 
private String remarks1;
		
	/**  **/
	@ApiModelProperty(value = "") 
private String remarks2;
		
	/**  **/
	@ApiModelProperty(value = "") 
private String email;
		
	/**  **/
	@ApiModelProperty(value = "") 
private String lastlogintime;
		
	/**  **/
	@ApiModelProperty(value = "") 
private String lastloginip;
		
	/**  **/
	@ApiModelProperty(value = "") 
private String lastequipmenttype;
		
	/**  **/
	@ApiModelProperty(value = "") 
private String name;
		
		
	public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
	 
			
	public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }
	 
			
	public String getPhonenum() {
        return phonenum;
    }

    public void setPhonenum(String phonenum) {
        this.phonenum = phonenum;
    }
	 
			
	public String getRemarks1() {
        return remarks1;
    }

    public void setRemarks1(String remarks1) {
        this.remarks1 = remarks1;
    }
	 
			
	public String getRemarks2() {
        return remarks2;
    }

    public void setRemarks2(String remarks2) {
        this.remarks2 = remarks2;
    }
	 
			
	public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }
	 
			
	public String getLastlogintime() {
        return lastlogintime;
    }

    public void setLastlogintime(String lastlogintime) {
        this.lastlogintime = lastlogintime;
    }
	 
			
	public String getLastloginip() {
        return lastloginip;
    }

    public void setLastloginip(String lastloginip) {
        this.lastloginip = lastloginip;
    }
	 
			
	public String getLastequipmenttype() {
        return lastequipmenttype;
    }

    public void setLastequipmenttype(String lastequipmenttype) {
        this.lastequipmenttype = lastequipmenttype;
    }
	 
			
	public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
	 
			
	public Gyeeuserinformation() {
        super();
    }
    
																																																				
	public Gyeeuserinformation(String id,String icon,String phonenum,String remarks1,String remarks2,String email,String lastlogintime,String lastloginip,String lastequipmenttype,String name) {
	
		this.id = id;
		this.icon = icon;
		this.phonenum = phonenum;
		this.remarks1 = remarks1;
		this.remarks2 = remarks2;
		this.email = email;
		this.lastlogintime = lastlogintime;
		this.lastloginip = lastloginip;
		this.lastequipmenttype = lastequipmenttype;
		this.name = name;
		
	}
	
}